<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>BayesWave Workflow &mdash; BayesWave 0.1 documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Algorith Overview" href="algo.html" />
    <link rel="prev" title="Use of BayesWave in Scientific Publications" href="fairUse.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> BayesWave
            <img src="_static/GW150914_LHO_100ms_noborder.png" class="logo" alt="Logo"/>
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">General Info:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="gettingStarted.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="fairUse.html">Use of BayesWave in Scientific Publications</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">BayesWave Workflow</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#bayeswave-pipe"><code class="code docutils literal notranslate"><span class="pre">bayeswave_pipe</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#bayeswave"><code class="code docutils literal notranslate"><span class="pre">BayesWave</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#bayeswavepost"><code class="code docutils literal notranslate"><span class="pre">BayesWavePost</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#megaplot-py"><code class="code docutils literal notranslate"><span class="pre">megaplot.py</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="#megasky-py"><code class="code docutils literal notranslate"><span class="pre">megasky.py</span></code></a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="algo.html">Algorith Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="setupRun.html">Setting up a Run</a></li>
<li class="toctree-l1"><a class="reference internal" href="output.html">Using BayesWave Output</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Examples:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="xmlInj.html">Simulated signal from xml file</a></li>
<li class="toctree-l1"><a class="reference internal" href="GW150914.html">Real Data</a></li>
<li class="toctree-l1"><a class="reference internal" href="MDC.html">Burst style MDCs</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">BayesWave</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a></li>
      <li class="breadcrumb-item active">BayesWave Workflow</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/workflow.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="bayeswave-workflow">
<h1>BayesWave Workflow<a class="headerlink" href="#bayeswave-workflow" title="Permalink to this heading"></a></h1>
<p><code class="code docutils literal notranslate"><span class="pre">BayesWave</span></code> and the postprocessing script <code class="code docutils literal notranslate"><span class="pre">BayesWavePost</span></code> are written in C.
There are also python utilities used to set up the <code class="code docutils literal notranslate"><span class="pre">BayesWave</span></code> run (<code class="code docutils literal notranslate"><span class="pre">bayeswave_pipe</span></code>),
and make plots and output webpages. (<code class="code docutils literal notranslate"><span class="pre">megaplot.py</span></code>).  The order of executables is:</p>
<section id="bayeswave-pipe">
<h2><code class="code docutils literal notranslate"><span class="pre">bayeswave_pipe</span></code><a class="headerlink" href="#bayeswave-pipe" title="Permalink to this heading"></a></h2>
<p>This reads in a config file that contains information such as what data to look at, whether these are injections, and general run setting. This then sets up the BayesWave job(s) to be submitted to condor. This can produce a dag file for either a single event, or a batch of events. <code class="code docutils literal notranslate"><span class="pre">bayeswave_pipe</span></code> uses the python module <code class="code docutils literal notranslate"><span class="pre">ConfigArgParse</span></code>.</p>
</section>
<section id="bayeswave">
<h2><code class="code docutils literal notranslate"><span class="pre">BayesWave</span></code><a class="headerlink" href="#bayeswave" title="Permalink to this heading"></a></h2>
<p>This is the main part of the code. This reads in detector data (real or simulated) and performs the RJMCMC. The main outputs of <code class="code docutils literal notranslate"><span class="pre">BayesWave</span></code> are chain files.</p>
</section>
<section id="bayeswavepost">
<h2><code class="code docutils literal notranslate"><span class="pre">BayesWavePost</span></code><a class="headerlink" href="#bayeswavepost" title="Permalink to this heading"></a></h2>
<p>Processes the raw chains output by <code class="code docutils literal notranslate"><span class="pre">BayesaWave</span></code> to make more human-readable outputs, such as posterior distributions on waveforms.  <code class="code docutils literal notranslate"><span class="pre">BayesWavePost</span></code> is not always required – for example for large batches of runs where only the Bayes factor is of interest it is not recommended to run <code class="code docutils literal notranslate"><span class="pre">BayesWavePost</span></code> for every trigger to save both computing time and disk space. To skip this part, include <code class="code docutils literal notranslate"><span class="pre">--skip-post</span></code> in the <code class="code docutils literal notranslate"><span class="pre">bayeswave_pipe</span></code> call.</p>
</section>
<section id="megaplot-py">
<h2><code class="code docutils literal notranslate"><span class="pre">megaplot.py</span></code><a class="headerlink" href="#megaplot-py" title="Permalink to this heading"></a></h2>
<p>Can only be run after <code class="code docutils literal notranslate"><span class="pre">BayesWavePost</span></code> has been run. Uses the output of <code class="code docutils literal notranslate"><span class="pre">BayesWavePost</span></code> to make plots and output webpages. Again, <code class="code docutils literal notranslate"><span class="pre">megaplot</span></code> is not required for every run. If you are not planning on looking at the output webpages, there is no need to run <code class="code docutils literal notranslate"><span class="pre">megaplot</span></code>. To skip this part, include <code class="code docutils literal notranslate"><span class="pre">--skip-megapy</span></code> in the <code class="code docutils literal notranslate"><span class="pre">bayeswave_pipe</span></code> call.</p>
</section>
<section id="megasky-py">
<h2><code class="code docutils literal notranslate"><span class="pre">megasky.py</span></code><a class="headerlink" href="#megasky-py" title="Permalink to this heading"></a></h2>
<p>NOW DEFUNCT. For power users only: will make healpix maps of the sky position posteriors.</p>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="fairUse.html" class="btn btn-neutral float-left" title="Use of BayesWave in Scientific Publications" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="algo.html" class="btn btn-neutral float-right" title="Algorith Overview" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2022, Meg Millhouse.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>